import { BaseEntity, Column, Entity, PrimaryGeneratedColumn } from "typeorm";
import { JudgementEntity } from "../../types";

@Entity()
export class Judgement extends BaseEntity implements JudgementEntity {

  @PrimaryGeneratedColumn('uuid')
  id: string

  @Column({
    length: 3,
    default: 'CHF',
  })
  currency: string;

  @Column({
    type: 'integer',
  })
  yearAgreement: number;

  @Column({
    length: 38,
  })
  bank: string;

  @Column({
    length: 30,
    default: 'Wyrok nieprawomocny',
  })
  stateOfTheMatter: string;

  @Column({
    length: 12,
    default: 'Indeksowany',
  })
  creditType: string;

  @Column({
    type: 'integer',
  })
  month: number;

  @Column({
    type: 'integer',
  })
  year: number;

  @Column({
    length: 38,
  })
  adjudication: string;

  @Column({
    length: 18,
  })
  signature: string;

  @Column({
    length: 107,
  })
  judge: string;

  @Column({
    length: 78,
  })
  court: string;

  @Column({
    type: "text",
  })
  linkToTheJudgment: string;

  @Column({
    default: () => 'CURRENT_TIMESTAMP',
  })
  createdAt: Date;

  @Column({
    length: 100,
  })
  createdBy: string;

  @Column({
    length: 100,
    default: 'jeszcze nieaktualizowany'
  })
  updateBy: string;
}
