import { Controller, Post, Body } from '@nestjs/common';
import { UserService } from './user.service';
import { UserRegisterDto } from "./dto/user-register.dto";
import { RegisterUserResponse } from "../types/response/register-user-response";

@Controller('/user')
export class UserController {
  constructor(private readonly userService: UserService) {}

  @Post('/register')
  register(
    @Body() newUser: UserRegisterDto
  ): Promise<RegisterUserResponse> {
    return this.userService.register(newUser);
  }
}
