import { Injectable } from '@nestjs/common';
import { UserRegisterDto } from './dto/user-register.dto';
import { User } from "./entities/user.entity";
import { hashPwd } from "../utils/hash-pwd";
import { RegisterUserResponse } from "../types/response/register-user-response";

@Injectable()
export class UserService {
  filter(user: User): RegisterUserResponse {
    const {id, name, email} = user;
    return {id, name, email}
  }

  async register(newUser: UserRegisterDto) {

    const user = new User();
    user.name = newUser.name;
    user.email = newUser.email;
    user.pwdHash = hashPwd(newUser.pwd);
    await user.save();

    return this.filter(user);
  }

  async findOneUser(id: string): Promise<User> {
    return await User.findOne(id);
  }
}
